# Install DHT Exporter service

[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)
[![Go Reference](https://pkg.go.dev/badge/gitfox.ru/victor/dht-exporter.svg)](https://pkg.go.dev/gitfox.ru/victor/dht-exporter)
![Go DHT](https://shields.foxteam.ru/badge/Go_DHT-v1.1.0-darkgreen)
![DHT Exporter](https://shields.foxteam.ru/badge/DHT_Exporter-v1.0.6-darkgreen)
![Go WiringPi](https://shields.foxteam.ru/badge/Go_WiringPi-v1.1.0-901030)
![Last Commit](https://shields.foxteam.ru/gitea/last-commit/victor/go-dht?gitea_url=https%3A%2F%2Fgitfox.ru)

1. Run make in the parent directory - **dht-exporter** application must be created.
2. Edit file **service.conf**:
    - `InstallPrefix` - **dht-exporter** install location (default: */bin*).
    - `EnvirionmentPrefix` - environment configuration location (default: */etc/default*).
    - `User` - service user (default: *root*).
    - `Options` - command-line options. Use *dht-exporter -h* for help.
3. Run installation script
```shell
sudo ./install-service
```

# Uninstall DHT Exporter service

To stop and delete a service, run
```shell
sudo ./uninstall-service
```
